%define module	Net-SCP
%define name	perl-%{module}
%define version	0.06
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	perl-devel perl-Net-SSH perl-String-ShellQuote
Requires:	perl perl-Net-SSH perl-String-ShellQuote

%description
Simple wrappers around ssh and scp commands.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Net/*
%{_mandir}/*/*

%changelog
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.06-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-2mdk
- rebuild for new auto{prov,req}

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-1mdk
- 0.06

* Mon Jul 15 2002 Pixel <pixel@mandrakesoft.com> 0.05-3mdk
- rebuild for new perl 5.8.0

* Tue Oct 30 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.05-2mdk
- real description (Brian J. Murrell <cooker-in@interlinx.bc.ca>)

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.05-1mdk
- new in contribs
- buildrequires perl-devel

* Fri Aug 31 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.04-1mdk
- first Mandrake release
